%define module_name	subfs
%define module_version	0.9
%define module_release	alt9

%define kversion	2.6.18
%define krelease	alt12.M40.3
%define flavour		std-pae

%if "2.6.18" < "2.6.0"
%define suffix		-2.4
%define pkgsuffix	24
%define msuffix	o
%else
%define suffix		%nil
%define pkgsuffix	%nil
%define msuffix	ko
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/fs/%module_name

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132626.12.M40.3

Group:		System/Kernel and hardware
Summary:	%module_name kernel module for submount
URL:		http://submount.sourceforge.net/
License:	GPL

Patch1: subfs-0.9-alt-i_mutex.patch
Patch2: submount-0.9-2.6.18.patch

ExclusiveOS:	Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name%pkgsuffix = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Requires: submount%pkgsuffix

%description
Subfs is the kernel portion of the submount removable media handling system.
For submount to function, it needs both the subfs kernel module and the
submount%pkgsuffix package to be installed.

Submount is a system for automatically mounting and unmounting
removable media drives like CD-ROMs and floppy disk drives. Once
installed, it allows removable media drives to be accessed as if they
were permanently mounted.

Example line for a CD-ROM drive in /etc/fstab:
/dev/cdrom /mnt/cdrom subfs fs=cdfss,ro 0 0

Example line for a floppy drive in /etc/fstab:
/dev/floppy /mnt/floppy subfs fs=floppyfss,sync 0 0

Example line for a NFS in /etc/fstab:
host:/share_name /mnt/share_name subfs fs=nfs,program=/sbin/net-submountd%pkgsuffix 0 0


%prep
rm -rf kernel-source-%module_name-%{module_version}*
tar xfz %kernel_src/kernel-source-%module_name%pkgsuffix-%module_version.tar.*
%setup -D -T -n kernel-source-%module_name%pkgsuffix-%module_version

%if "%kversion" >= "2.6.16"
%patch1 -p1
%patch2 -p1
%endif

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make modules TEMP_DIR=$PWD -C %_usrsrc/linux-%kversion-%flavour/ V=1 SUBDIRS=$PWD

%install
install -D -m644 %module_name.%msuffix %buildroot/%module_dir/%module_name.%msuffix

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%dir %module_dir/
%module_dir/*

%changelog
* Wed Jul 16 2008 Michail Yakushin <silicium@altlinux.ru> 0.9-alt9.132626.12.M40.3
- Build for kernel-image-std-pae-2.6.18-alt12.M40.3.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 0.9-alt9
- Removed unneeded "Prereq: modutils".

* Sun Dec 10 2006 L.A. Kostis <lakostis@altlinux.ru> 0.9-alt8
- Added:
  + submount-0.9-2.6.18.patch: fix compatibility with kernel 2.6.18 
    (tnx to dsd at gentoo.org).

* Sat Mar 11 2006 Sergey Vlasov <vsu@altlinux.ru> 0.9-alt7
- Added:
  + subfs-0.9-alt-i_mutex.patch: fix compatibility with kernel 2.6.16.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9-alt6
- Rebuild for kernel 2.4.28.

* Wed Nov 24 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt5
- add requires to submount

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9-alt4
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9-alt3
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Wed Jul 14 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt2
- update package description

* Wed May 12 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt1
- initial.spec
